Subject: bug#69960: closed (Re: [PATCH gnome-team 2/2] gnu: todoman: Fix tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2024 11:18:02 +0000

Your bug report

#69960: [PATCH gnome-team 0/2] Fix todoman test failure

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69960: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69960
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH gnome-team 2/2] gnu: todoman: Fix tests.
From: Liliana Marie Prikler <[email-masked]>
To: Vivien Kraus <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 24 Mar 2024 12:15:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Samstag, dem 23.03.2024 um 11:52 +0100 schrieb Vivien Kraus:
> Le samedi 23 mars 2024 à 11:50 +0100, Liliana Marie Prikler a écrit :
> > Am Samstag, dem 23.03.2024 um 11:21 +0100 schrieb Vivien Kraus:
> > > * gnu/packages/task-management.scm (todoman) [#:phase 'check]:
> > > Load the `ci' hypothesis profile provided by upstream.
> > > 
> > > Change-Id: I2ea01f8c424a50cd617303f8338f92563e7b0204
> > SGTM.  If you're okay with it, I'd locally rephrase this to
> > [#:phases] <check> and push it with that change once it's confirmed
> > by the rest,WDTY?
> 
> Sorry, I always hesitate with this. I will try my best to do the
> correct thing in the future, but in the mean time, please go ahead.
It's fine – I do fall back to my own writing style a lot, and the
guidelines aren't super close on the details as of yet, so I sometimes
go ahead with edits and hesitate at other times.

Anyway, pushed.

Subject: [PATCH gnome-team 0/2] Fix todoman test failure
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Sat, 23 Mar 2024 11:24:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

The todoman test suite should be run with the "ci" hypothesis profile, so as
to disable deadlines and other nice improvements.

What do you think?

Best regards,

Vivien

Vivien Kraus (2):
  gnu: todoman: Update style.
  gnu: todoman: Fix tests.

 gnu/packages/task-management.scm | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

base-commit: a9951a74a591a9b22ee2d93d8efe0523c6c42c97
-- 
2.41.0